Browse Source

Stop testing python 2

Since it's no longer supported past Train, let's stop
running the tests.

Co-authored-by: Ajay Kumar <ajay.k@india.nec.com>

Change-Id: If81d0a45c423c173aa3c40dd2cfce37462dbf900
changes/32/693132/5
Brian Haley 2 years ago
parent
commit
c9a1c39eee
  1. 1
      doc/requirements.txt
  2. 5
      releasenotes/notes/drop-python-2-7-f17da6245b0ebc13.yaml
  3. 5
      setup.cfg
  4. 12
      tox.ini
  5. 1
      zuul.d/projects.yaml

1
doc/requirements.txt

@ -1,4 +1,3 @@
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
openstackdocstheme>=1.20.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.1 # BSD

5
releasenotes/notes/drop-python-2-7-f17da6245b0ebc13.yaml

@ -0,0 +1,5 @@
---
upgrade:
- |
Python 2.7 support has been dropped. The minimum version of Python now
supported by Octavia-lib is Python 3.6.

5
setup.cfg

@ -16,8 +16,6 @@ classifier =
License :: OSI Approved :: Apache Software License
Operating System :: POSIX :: Linux
Programming Language :: Python
Programming Language :: Python :: 2
Programming Language :: Python :: 2.7
Programming Language :: Python :: 3
Programming Language :: Python :: 3.6
Programming Language :: Python :: 3.7
@ -26,9 +24,6 @@ classifier =
packages =
octavia_lib
[wheel]
universal = 1
[compile_catalog]
directory = octavia_lib/locale
domain = octavia_lib

12
tox.ini

@ -1,9 +1,10 @@
[tox]
minversion = 2.5.0
envlist = docs,py27,py37,pep8
envlist = docs,py37,pep8
skipsdist = True
[testenv]
basepython = python3
usedevelop = True
install_command = pip install {opts} {packages}
setenv =
@ -20,7 +21,6 @@ deps =
commands = stestr run {posargs}
[testenv:pep8]
basepython = python3
commands = flake8 {posargs}
doc8 --ignore-path doc/source/contributor/modules \
doc/source octavia_lib HACKING.rst README.rst
@ -29,11 +29,9 @@ commands = flake8 {posargs}
{toxinidir}/tools/coding-checks.sh --pylint '{posargs}'
[testenv:venv]
basepython = python3
commands = {posargs}
[testenv:cover]
basepython = python3
setenv =
VIRTUAL_ENV={envdir}
PYTHON=coverage run --source octavia_lib --parallel-mode
@ -45,7 +43,6 @@ commands =
coverage report --fail-under=95 --skip-covered
[testenv:docs]
basepython = python3
deps = -r{toxinidir}/doc/requirements.txt
whitelist_externals = rm
commands =
@ -53,7 +50,6 @@ commands =
sphinx-build -W -b html doc/source doc/build/html
[testenv:pdf-docs]
basepython = python3
deps = {[testenv:docs]deps}
whitelist_externals =
make
@ -64,13 +60,11 @@ commands =
make -C doc/build/pdf
[testenv:releasenotes]
basepython = python3
deps = {[testenv:docs]deps}
commands =
sphinx-build -a -E -W -d releasenotes/build/doctrees -b html releasenotes/source releasenotes/build/html
[testenv:debug]
basepython = python3
commands = oslo_debug_helper {posargs}
[flake8]
@ -89,7 +83,6 @@ local-check-factory = octavia_lib.hacking.checks.factory
max-line-length = 79
[testenv:lower-constraints]
basepython = python3
deps =
-c{toxinidir}/lower-constraints.txt
-r{toxinidir}/test-requirements.txt
@ -99,7 +92,6 @@ commands =
sh -c 'OS_TEST_PATH={toxinidir}/octavia_lib/tests/unit stestr run {posargs}'
[testenv:requirements]
basepython = python3
deps =
-egit+https://opendev.org/openstack/requirements#egg=openstack-requirements
whitelist_externals = sh

1
zuul.d/projects.yaml

@ -3,7 +3,6 @@
- check-requirements
- openstack-cover-jobs
- openstack-lower-constraints-jobs
- openstack-python-jobs
- openstack-python3-ussuri-jobs
- publish-openstack-docs-pti
- release-notes-jobs-python3

Loading…
Cancel
Save